Page MenuHomePhabricator

efl_ui_tab_bar: implement efl.ui.single_selectable
ClosedPublic

Authored by bu5hm4n on Aug 23 2019, 10:46 AM.

Details

Summary

this is for now the simples way IMO, the one or another implementation
thing in efl_ui_tab_pager is a little bit clumsy, but that should be
able to be improved once Efl.Pack_Linear is implemented.

Depends on D9728

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/tab_bar_work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 12926
bu5hm4n created this revision.Aug 23 2019, 10:46 AM
bu5hm4n requested review of this revision.Aug 23 2019, 10:46 AM
bu5hm4n updated this revision to Diff 24583.Aug 28 2019, 11:43 PM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

woohyun accepted this revision.Aug 29 2019, 4:23 AM
This revision is now accepted and ready to land.Aug 29 2019, 4:23 AM
Closed by commit rEFL3c317618e53c: efl_ui_tab_bar: implement efl.ui.single_selectable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 29 2019, 5:43 AM
This revision was automatically updated to reflect the committed changes.